Bug 199877 - PS2 mouse is jumpy
PS2 mouse is jumpy
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
: 216838 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-23 16:17 EDT by Pavel Rosenboim
Modified: 2008-05-06 20:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:41:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg with apic enabled and non-functioning mouse (14.49 KB, text/plain)
2006-11-22 16:50 EST, Cameron Harr
no flags Details
interrupts with apic enabled and non-functioning mouse (573 bytes, text/plain)
2006-11-22 16:51 EST, Cameron Harr
no flags Details
dmesg with the noapic option and a properly functioning mouse (14.73 KB, text/plain)
2006-11-22 16:52 EST, Cameron Harr
no flags Details
interrupts with noapic boot option and a properly functioning mouse (614 bytes, text/plain)
2006-11-22 16:55 EST, Cameron Harr
no flags Details

  None (edit)
Description Pavel Rosenboim 2006-07-23 16:17:40 EDT
Description of problem:
I have a PS/2 microsoft mouse. It worked fine with kernel shipped with FC6
test1, but after an update to 2.6.17 kernel it started jumping back and forth
when I'm moving it. These jumps happen in both X-Windows and console.

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2437.fc6

How reproducible:
Always
Comment 1 Pavel Rosenboim 2006-07-30 15:26:41 EDT
I installed latest FC5 kernel (2.6.17-1.2157_FC5) and problem disappeared.
Comment 2 Rahul Sundaram 2006-07-31 10:08:54 EDT

Use "devel" version to report bugs in the development tree unless its a
particular test release with no updates. Reassigning
Comment 3 Cameron Harr 2006-11-21 16:13:48 EST
I'm seeing a similar issue with the latest FC6 production release. I've
documented it somewhat with no luck here:
http://forums.fedoraforum.org/showthread.php?t=136673

I've tried a PS/2 mouse and I've even tried an FC5 kernel with no luck. When I
used the FC5 kernel, I had absolutely no mouse capability. It's bad enough that
I've moved to Windows as my default boot which hurts productivity quite a bit.
Comment 4 Cameron Harr 2006-11-22 01:22:30 EST
I think I found the problem with mine. The FC6 UP kernel is actually an SMP
kernel! I throw in a noapic to the cmdline and it works, but as you can see here:

[me@mybox ~]$ uname -a
Linux 2.6.18-1.2849.fc6 #1 SMP Fri Nov 10 12:45:28 EST 2006 i686 athlon i386
GNU/Linux
[me@mybox ~]$ rpm -q kernel
kernel-2.6.18-1.2798.fc6
kernel-2.6.18-1.2849.fc6

I'll try to file another bug somewhere.
Comment 5 Dan Carpenter 2006-11-22 02:38:55 EST
Hi Cameron, could you post your dmesg and your /proc/interrupts both with and
without "noapic"?
Comment 6 Cameron Harr 2006-11-22 11:10:53 EST
Hi Dan, I don't have access to my box until later today, but I'll get that info.
In the meantime, I'll link a bug I filed for what I thought was the kernel issue
here:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=216838

According to this, and the wiki, it is supposed to be an SMP kernel, but there
was a bug in architecture detection. I'll try to get more info on that when my
box is up.
Comment 7 Cameron Harr 2006-11-22 16:50:30 EST
Created attachment 141949 [details]
dmesg with apic enabled and non-functioning mouse
Comment 8 Cameron Harr 2006-11-22 16:51:16 EST
Created attachment 141950 [details]
interrupts with apic enabled and non-functioning mouse
Comment 9 Cameron Harr 2006-11-22 16:52:44 EST
Created attachment 141951 [details]
dmesg with the noapic option and a properly functioning mouse
Comment 10 Cameron Harr 2006-11-22 16:55:34 EST
Created attachment 141952 [details]
interrupts with noapic boot option and a properly functioning mouse
Comment 11 Cameron Harr 2006-11-22 16:57:04 EST
Also, the problem does not seem to be the arch-detect bug as my kernel is the
i686 kernel. Please let me know if you need anything else.
Comment 12 Jarod Wilson 2006-11-27 12:39:34 EST
*** Bug 216838 has been marked as a duplicate of this bug. ***
Comment 13 Bug Zapper 2008-04-03 13:50:31 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 14 Bug Zapper 2008-05-06 20:41:43 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.